Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159544 - Sent emails are unlocalized
Summary: Sent emails are unlocalized
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D
Version: RHN Devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ken Ganong
QA Contact: Vlady Zlatkin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-03 21:20 UTC by Ken Ganong
Modified: 2007-04-18 17:27 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-31 20:56:17 UTC


Attachments (Terms of Use)

Description Ken Ganong 2005-06-03 21:20:42 UTC
Emails sent for new user accounts are not localized.

Comment 1 Ken Ganong 2005-06-06 18:45:01 UTC
Here are the bugs I've found so far that I am currently working on for the
"youve got account" email.
- not localized.
- uses https without checking to see that it is available
- hard codes rhn.redhat.com/ (not good for satellites)
- does not use the email template managed strings

Comment 2 Jesus M. Rodriguez 2005-06-10 18:34:25 UTC
Mass moving ON_DEV to ON_QA

Comment 3 Vlady Zlatkin 2005-07-03 21:59:06 UTC
testplan?  

Comment 4 Ken Ganong 2005-07-05 14:16:44 UTC
TEST PLAN
Login as an org admin to a satellite that does not have SSL available (I believe
there is a config flag for this)
Got to users.
Create a new user.
Ensure the proper link is displayed (i.e. not https and not rhn.redhat.com)
Trust me that it is localized (or at least externalized).

Comment 5 Vlady Zlatkin 2005-07-05 22:20:57 UTC
Hello,

A Red Hat login has been created for you by Max Spevack (admin).  Your
Red Hat login, in combination with an active Red Hat subscription,
provides you with access to manage systems on Red Hat Network.

  Red Hat login: testtest
       Password: dog8code
         e-mail: vzlatkin@redhat.com

  http://fmoquete-64.rdu.redhat.com/

Important: Please change your password upon logging in.

Thank you for using Red Hat Network.
--the Red Hat Network Team

worked



Note You need to log in before you can comment on or make changes to this bug.